--- gindocs.orig	2006-09-13 10:07:57.000000000 -0700
+++ gindocs	2006-09-13 10:43:25.000000000 -0700
@@ -89,7 +89,7 @@
 +    <acronym>GIN</acronym> stands for Generalized Inverted Index.  It is
 +    an index structure storing a set of (key, posting list) pairs, where
 +    'posting list' is a set of rows in which the key occurs. The
-+    row may contains a lot of keys.
++    row may contain many keys.
 +  </para>
 + 
 +  <para>
@@ -209,10 +209,10 @@
 +    <term>Create vs insert</term>
 +    <listitem>
 + 	<para>
-+ 	 In most cases, insertion into <acronym>GIN</acronym> index is slow enough
-+ 	 due to a lot keys should be inserted per one value. So, for bulk upload
-+ 	 data in table it will be useful to drop index and create it
-+ 	 after finishing upload.
++ 	 In most cases, insertion into <acronym>GIN</acronym> index is slow because 
++ 	 many GIN keys may be inserted for each table row. So, when loading data
++ 	 in bulk it may be useful to drop index and recreate it
++ 	 after the data is loaded in the table.
 + 	</para>
 +    </listitem>
 +   </varlistentry>
@@ -381,9 +381,8 @@
 +        <para>
 + 		Short-term share/exclusive page-level locks are used for 
 + 		read/write access. Locks are released immediately after each
-+ 		index row is fetched or inserted. But note, that GIN index
-+ 		usually requires produce several inserts per one row, so,
-+ 		GIN makes more work per one value's insertion.
++ 		index row is fetched or inserted. However, note that GIN index
++ 		usually requires several inserts per one table row.
 +        </para>
 +       </listitem>
 +      </varlistentry>
